View Issue Details

IDProjectCategoryView StatusLast Update
0036322FPCCompilerpublic2019-11-18 09:09
ReporterZeljan RikaloAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.0Product Build 
Target VersionFixed in Version3.3.1 
Summary0036322: r43506 need to be merged in fixes_3_2
DescriptionWriting here so it's not forgotten. r43503 is already merged as r43505, r43506 fixes regression in r43503.
TagsNo tags attached.
Fixed in Revision43510
FPCOldBugId
FPCTarget-
Attached Files

Activities

Marco van de Voort

2019-11-17 19:06

manager   ~0119368

Neither rev have been merged!?!

r43503 | florian | 2019-11-16 18:46:39 +0100 (Sat, 16 Nov 2019) | 1 line
Changed paths:
   M /trunk/compiler/x86/cgx86.pas

  * fix calculation of stackmisalignment for interrupt procedures as pointed out by Jonas
---
r43506 | florian | 2019-11-17 10:14:54 +0100 (Sun, 17 Nov 2019) | 2 lines
Changed paths:
   M /trunk/compiler/x86/cgx86.pas

  * fix stackmisalignment calculation to take care of pushf/push cs, before r43503,
    it was correct by coincidence

Zeljan Rikalo

2019-11-17 20:00

reporter   ~0119370

See r43505 in fixes_3_2. Havent tried to svn co latest fixes, but with viewvc it's clear that cgx86.pas is changed.

Zeljan Rikalo

2019-11-17 20:05

reporter   ~0119371

Last edited: 2019-11-17 20:06

View 2 revisions

fixes_3_2/compiler/cgx86.pas contains inc(stackmisalignment,4*2+6*4); , so I'm correct. 43503 is merged into fixes via 43505 by Jonas.
https://svn.freepascal.org/cgi-bin/viewvc.cgi?view=revision&revision=43505
Edit: or he added it manually

Zeljan Rikalo

2019-11-18 09:09

reporter   ~0119379

Thanks Florian :)

Issue History

Date Modified Username Field Change
2019-11-17 15:16 Zeljan Rikalo New Issue
2019-11-17 19:06 Marco van de Voort Note Added: 0119368
2019-11-17 20:00 Zeljan Rikalo Note Added: 0119370
2019-11-17 20:05 Zeljan Rikalo Note Added: 0119371
2019-11-17 20:06 Zeljan Rikalo Note Edited: 0119371 View Revisions
2019-11-17 21:16 Florian Assigned To => Florian
2019-11-17 21:16 Florian Status new => resolved
2019-11-17 21:16 Florian Resolution open => fixed
2019-11-17 21:16 Florian Fixed in Version => 3.3.1
2019-11-17 21:16 Florian Fixed in Revision => 43510
2019-11-17 21:16 Florian FPCTarget => -
2019-11-18 09:09 Zeljan Rikalo Status resolved => closed
2019-11-18 09:09 Zeljan Rikalo Note Added: 0119379